| Flutter iOS Embedder |

Instance Methods | List of all members
FlutterOverlayView Class Reference

`#import <FlutterOverlayView.h>`

Inheritance diagram for FlutterOverlayView:

## Instance Methods
(instancetype) | - initWithFrame:
(instancetype) | - initWithCoder:
(instancetype) | - NS_DESIGNATED_INITIALIZER
(instancetype) | - initWithContentsScale:

## Detailed Description

UIViews that are used by |FlutterPlatformViews| to present Flutter rendering on top of system compositor rendering (ex. a web view).

When there is a view composited by the system compositor within a Flutter view hierarchy, instead of rendering into a single render target, Flutter renders into multiple render targets (depending on the number of interleaving levels between Flutter & non-Flutter contents). While the FlutterView contains the backing store for the root render target, the FlutterOverlay view contains the backing stores for the rest. The overlay views also handle touch propagation and the like for touches that occurs either on overlays or otherwise may be intercepted by the platform views.

Definition at line 29 of file FlutterOverlayView.h.

## Method Documentation

## ◆ initWithCoder:

- (instancetype) initWithCoder: |  | (NSCoder*) | NS_UNAVAILABLE |

Definition at line 28 of file FlutterOverlayView.mm.

28 :(NSCoder*)aDecoder {
29 NSAssert(NO, @"FlutterOverlayView must init or initWithContentsScale");
30 return nil;
31 }

## ◆ initWithContentsScale:

- (instancetype) initWithContentsScale: |  | (CGFloat) | contentsScale |

Definition at line 45 of file FlutterOverlayView.mm.

45 :(CGFloat)contentsScale {
46 self = [self init];
47
48 if ([self.layer isKindOfClass:NSClassFromString(@"CAMetalLayer")]) {
49 self.layer.allowsGroupOpacity = NO;
50 self.layer.contentsScale = contentsScale;
51 self.layer.rasterizationScale = contentsScale;
52 }
53
54 return self;
55 }

## ◆ initWithFrame:

- (instancetype) initWithFrame: |  | (CGRect) | NS_UNAVAILABLE |

Definition at line 23 of file FlutterOverlayView.mm.

23 :(CGRect)frame {
24 NSAssert(NO, @"FlutterOverlayView must init or initWithContentsScale");
25 return nil;
26 }

## ◆ NS_DESIGNATED_INITIALIZER

- (instancetype) NS_DESIGNATED_INITIALIZER |  |  |

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterOverlayView.h
- shell/platform/darwin/ios/framework/Source/FlutterOverlayView.mm